package com.yidianling.uikit.business.session.helper;

import java.util.HashMap;

/**
 * @author jiucheng
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2019/12/11
 */
public class ChatStatusCacheHelper {
    private static final HashMap<String, Boolean> statusCache = new HashMap<>();


    public static void setStatusCache(String key, boolean value) {
        statusCache.put(key, value);
    }

    public static boolean getStatusCache(String key) {
        if (statusCache.containsKey(key)) {
            return statusCache.get(key);
        }
        return false;
    }

    public static void clearDataByKey(String key) {
        if (statusCache.containsKey(key)) {
             statusCache.remove(key);
        }
    }
}
